com.unitech.stuhfl

## Class STUHFL_T_Gb29768_Erase

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gb29768_Erase
  - - com.unitech.stuhfl.STUHFL_T_Gb29768_Erase

-     public class STUHFL_T_Gb29768_Erase
      extends BR_Gb29768_Erase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Gb29768_Erase

      `BR_Gb29768_Erase.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `bytePtr` < I Param: Number of bytes to erase.
    `STUHFL_E.GB29768_AREA` | `memoryBank`
    `short` | `numBytesToErase` < I Param: Bank (TagInfo, Coding, Security, User) on which apply the erase.
    `byte[]` | `pwd` < I Param: Byte address to which erase data.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_Gb29768_Erase()`
    `STUHFL_T_Gb29768_Erase(STUHFL_E.GB29768_AREA memoryBank, byte numBytesToErase, long bytePtr, byte[] pwd)`
    `STUHFL_T_Gb29768_Erase(STUHFL_T_Gb29768_Erase other)` < I Param: Password.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `execute()` Perform Gb29768 erase command to erase data in transponders.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Gb29768_Erase

      `_Exec`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### memoryBank

          public STUHFL_E.GB29768_AREA memoryBank

    - #### numBytesToErase

          public short numBytesToErase

      < I Param: Bank (TagInfo, Coding, Security, User) on which apply the erase.

    - #### bytePtr

          public long bytePtr

      < I Param: Number of bytes to erase.

    - #### pwd

          public byte[] pwd

      < I Param: Byte address to which erase data.

  - ### Constructor Detail

    - #### STUHFL_T_Gb29768_Erase

          public STUHFL_T_Gb29768_Erase(STUHFL_T_Gb29768_Erase other)

      < I Param: Password.

    - #### STUHFL_T_Gb29768_Erase

          public STUHFL_T_Gb29768_Erase(STUHFL_E.GB29768_AREA memoryBank,
                                        byte numBytesToErase,
                                        long bytePtr,
                                        byte[] pwd)

    - #### STUHFL_T_Gb29768_Erase

          public STUHFL_T_Gb29768_Erase()

  - ### Method Detail

    - #### execute

          public STUHFL_E.RET_CODE execute()

      Perform Gb29768 erase command to erase data in transponders. All public data fields must be prepared upfront.
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`